Bug 36446

Summary: [Qt] QWebSettings::TiledBackingStoreEnabled attribute lacks documentation and default value
Product: WebKit Reporter: Kent Hansen <kent.hansen>
Component: WebKit QtAssignee: Antti Koivisto <koivisto>
Status: CLOSED FIXED    
Severity: Normal CC: hausmann
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 35784    
Attachments:
Description Flags
document it kenneth: review+

Description Kent Hansen 2010-03-22 09:23:15 PDT
Under "\enum QWebSettings::WebAttribute" an entry should be added for TiledBackingStoreEnabled, briefly explaining what it does and what the default value is.

In the QWebSettings constructor, the default value should be inserted into d->attributes (an explicit value should be inserted even if the default is false, as per existing attributes).
Comment 1 Antti Koivisto 2010-03-31 04:42:39 PDT
Created attachment 52150 [details]
document it
Comment 2 Antti Koivisto 2010-03-31 06:28:11 PDT
Sending        WebKit/qt/Api/qgraphicswebview.cpp
Sending        WebKit/qt/Api/qwebsettings.cpp
Sending        WebKit/qt/ChangeLog
Transmitting file data ...
Committed revision 56837.
Comment 3 Simon Hausmann 2010-04-06 02:47:51 PDT
Revision r56837 cherry-picked into qtwebkit-2.0 with commit f0cac60c045b0fdb8d4337407797b621645fb28b